---

dependencies:
  - role: repo_docker
    when: nomad_conf.client.enabled and nomad_conf.client.task_drivers['containerd-driver'].enabled # with containerd, we need docker repo to install containerd.io
  - role: docker
    when: nomad_conf.client.enabled and nomad_conf.client.task_drivers.docker.enabled
  - role: cni_plugins
    when: nomad_conf.client.enabled
  - role: consul_template # consul-template can be used for obtaining certs from vault
